###################################################
### chunk number 1: R-opts
###################################################
#line 55 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
options(width=34, digits=4)


###################################################
### chunk number 2: startup
###################################################
#line 155 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
library(diveMove)


###################################################
### chunk number 3:  eval=FALSE
###################################################
## #line 162 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## example(diveMove)


###################################################
### chunk number 4: dives-con
###################################################
#line 216 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
ff <- gzfile(system.file(file.path("data", "dives.csv.gz"), 
                         package="diveMove"), open="r")


###################################################
### chunk number 5: readin-csv
###################################################
#line 219 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
srcfn <- basename(summary(ff)$description)
tdrXcsv <- read.csv(ff, sep=";")


###################################################
### chunk number 6: create-tdr
###################################################
#line 229 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
ddtt.str <- paste(tdrXcsv$date, tdrXcsv$time)
ddtt <- strptime(ddtt.str, format="%d/%m/%Y %H:%M:%S")
time.posixct <- as.POSIXct(ddtt, tz="GMT")
tdrX <- createTDR(time=time.posixct, depth=tdrXcsv$depth,
                  concurrentData=tdrXcsv[, -c(1:3)], dtime=5,
                  file=srcfn)
## Or a TDRspeed object, since we know we have speed measurements:
tdrX <- createTDR(time=time.posixct, depth=tdrXcsv$depth,
                  concurrentData=tdrXcsv[, -c(1:3)], dtime=5,
                  file=srcfn, speed=TRUE)


###################################################
### chunk number 7: readin-tdr eval=FALSE
###################################################
## #line 247 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## #line 216 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw#from line#247#"
## ff <- gzfile(system.file(file.path("data", "dives.csv.gz"), 
##                          package="diveMove"), open="r")
## #line 248 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## tdrX <- readTDR(ff, speed=TRUE, sep=";", na.strings="", as.is=TRUE)
## plotTDR(tdrX)


###################################################
### chunk number 8: 
###################################################
#line 251 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
#line 216 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw#from line#251#"
ff <- gzfile(system.file(file.path("data", "dives.csv.gz"), 
                         package="diveMove"), open="r")
#line 252 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
tdrX <- readTDR(ff, speed=TRUE, sep=";", na.strings="", as.is=TRUE)
png("plot_tdr.png"); plotTDR(tdrX, interact=FALSE, cex.lab=1.3); dev.off()


###################################################
### chunk number 9:  eval=FALSE
###################################################
## #line 324 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## dcalib <- calibrateDepth(tdrX)


###################################################
### chunk number 10:  eval=FALSE
###################################################
## #line 347 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## dcalib <- calibrateDepth(tdrX, zoc.method="offset", offset=3)


###################################################
### chunk number 11:  eval=FALSE
###################################################
## #line 370 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## dcalib <- calibrateDepth(tdrX, zoc.method="filter",
##                          k=c(3, 5760), probs=c(0.5, 0.02), na.rm=TRUE)


###################################################
### chunk number 12: zoc
###################################################
#line 408 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
dcalib <- calibrateDepth(tdrX, dive.thr=3, zoc.method="offset",
                         offset=3, descent.crit.q=0.01, ascent.crit.q=0,
                         knot.factor=20)


###################################################
### chunk number 13: plot-gross-activity eval=FALSE
###################################################
## #line 471 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## plotTDR(dcalib, concurVars=c("speed", "light"),
##         surface=TRUE)


###################################################
### chunk number 14: 
###################################################
#line 474 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
png("plot_tdr_calibrate.png", width=380)
plotTDR(dcalib, concurVars=c("speed", "light"),
        surface=TRUE, interact=FALSE, cex.lab=1.3)
dev.off()


###################################################
### chunk number 15: plot-dive-activity eval=FALSE
###################################################
## #line 508 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## plotTDR(dcalib, diveNo=2:8, what="phases")


###################################################
### chunk number 16: 
###################################################
#line 510 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
png("plot_tdr_dives.png", height=380)
plotTDR(dcalib, diveNo=2:8, what="phases", interact=FALSE,
        cex.lab=1.3, depth.lim=c(0, 80))
dev.off()


###################################################
### chunk number 17: extract-dive eval=FALSE
###################################################
## #line 531 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## extractDive(dcalib, diveNo=2:8)


###################################################
### chunk number 18: tdr-extract
###################################################
#line 550 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
getTDR(dcalib)


###################################################
### chunk number 19: grossact1 eval=FALSE
###################################################
## #line 558 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## getGAct(dcalib)


###################################################
### chunk number 20: grossact2 eval=FALSE
###################################################
## #line 567 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## getGAct(dcalib, "phase.id")


###################################################
### chunk number 21: diveact-1 eval=FALSE
###################################################
## #line 581 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## getDAct(dcalib)


###################################################
### chunk number 22: dphaselab1 eval=FALSE
###################################################
## #line 597 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## getDPhaseLab(dcalib)
## getDPhaseLab(dcalib, 20)


###################################################
### chunk number 23: dphaselab2
###################################################
#line 600 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
dphases <- getDPhaseLab(dcalib, c(100:300))


###################################################
### chunk number 24: diveModel eval=FALSE
###################################################
## #line 609 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## plotDiveModel(dcalib, diveNo=260)


###################################################
### chunk number 25: 
###################################################
#line 611 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
png("plot_dive_model.png")
plotDiveModel(dcalib, diveNo=260)
dev.off()


###################################################
### chunk number 26: extractdive
###################################################
#line 628 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
sealX <- extractDive(dcalib, diveNo=c(100:300))
sealX


###################################################
### chunk number 27: plot-phases eval=FALSE
###################################################
## #line 642 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## plotTDR(sealX, phaseCol=dphases)


###################################################
### chunk number 28: 
###################################################
#line 659 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
options(width=105)


###################################################
### chunk number 29: dive-summaries
###################################################
#line 661 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
tdrXSumm1 <- diveStats(dcalib)
names(tdrXSumm1)
tbudget <- timeBudget(dcalib, ignoreZ=TRUE)
head(tbudget, 4)
trip.labs <- stampDive(dcalib, ignoreZ=TRUE)
tdrXSumm2 <- data.frame(trip.labs, tdrXSumm1)
names(tdrXSumm2)


###################################################
### chunk number 30: 
###################################################
#line 669 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
#line 55 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw#from line#669#"
options(width=34, digits=4)
#line 670 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"


###################################################
### chunk number 31: calibrate-speed eval=FALSE
###################################################
## #line 777 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
## vcalib <- calibrateSpeed(dcalib, tau=0.1, contour.level=0.1,
##                          z=1, bad=c(0, 0), cex.pts=0.2)


###################################################
### chunk number 32: 
###################################################
#line 780 "d:/Rcompile/CRANpkg/local/2.12/diveMove/inst/doc/diveMove.Rnw"
png("speed_calibration.png")
calibrateSpeed(dcalib, tau=0.1, contour.level=0.1,
               z=1, bad=c(0, 0), cex.pts=0.2)
dev.off()


